Bug 178121 - ide-cd reports errors [OLDIDE HAL]
ide-cd reports errors [OLDIDE HAL]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 16:18 EST by Martin
Modified: 2007-12-03 12:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 12:20:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2006-01-17 16:18:29 EST
+++ This bug was initially created as a clone of Bug #138119 +++

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
When inserting a CD (Audio,Data..) error messages are reported in
/var/log/messages


There it reports the following:

Jan 17 22:11:53 gecko kernel: hdc: command error: status=0x51 { DriveReady
SeekComplete Error }
Jan 17 22:11:53 gecko kernel: hdc: command error: error=0x51 {
IllegalLengthIndication LastFailedSense=0x05 }
Jan 17 22:11:53 gecko kernel: ide: failed opcode was: unknown
Jan 17 22:11:53 gecko kernel: end_request: I/O error, dev hdc, sector 0
Jan 17 22:11:53 gecko kernel: Buffer I/O error on device hdc, logical block 0
Jan 17 22:11:53 gecko kernel: hdc: command error: status=0x51 { DriveReady
SeekComplete Error }
Jan 17 22:11:53 gecko kernel: hdc: command error: error=0x51 {
IllegalLengthIndication LastFailedSense=0x05 }
Jan 17 22:11:53 gecko kernel: ide: failed opcode was: unknown
Jan 17 22:11:53 gecko kernel: end_request: I/O error, dev hdc, sector 8
Jan 17 22:11:53 gecko kernel: Buffer I/O error on device hdc, logical block 1
Jan 17 22:11:53 gecko kernel: hdc: command error: status=0x51 { DriveReady
SeekComplete Error }
Jan 17 22:11:53 gecko kernel: hdc: command error: error=0x51 {
IllegalLengthIndication LastFailedSense=0x05 }
Jan 17 22:11:53 gecko kernel: ide: failed opcode was: unknown
Jan 17 22:11:53 gecko kernel: end_request: I/O error, dev hdc, sector 16
Jan 17 22:11:53 gecko kernel: Buffer I/O error on device hdc, logical block 2
Jan 17 22:11:53 gecko kernel: hdc: command error: status=0x51 { DriveReady
SeekComplete Error }
Jan 17 22:11:53 gecko kernel: hdc: command error: error=0x51 {
IllegalLengthIndication LastFailedSense=0x05 }


Version-Release number of selected component (if applicable):
2.6.15-1.1824_FC4

How reproducible:
Always

Steps to Reproduce:
1. Just boot. and inserting a CD ore DVD in the DVD-Rom Drive
Comment 1 Dave Jones 2006-01-19 02:29:34 EST
just leave the old bug open if its still an issue.
adding clones just clutters bugzilla.
Comment 2 Dave Jones 2006-02-03 00:41:43 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 Martin 2006-02-04 11:02:42 EST
this are the error messages in /var/log/messages when booting with a Audio CD
was insert in der CD/DVD-Rom drive:

Feb  4 07:57:30 gecko kernel: device-mapper: 4.4.0-ioctl (2005-01-12)
initialised: dm-devel@redhat.com
Feb  4 07:57:30 gecko kernel: hdc: command error: status=0x51 { DriveReady
SeekComplete Error }
Feb  4 07:57:30 gecko kernel: hdc: command error: error=0x51 {
IllegalLengthIndication LastFailedSense=0x05 }
Feb  4 07:57:30 gecko kernel: ide: failed opcode was: unknown
Feb  4 07:57:30 gecko kernel: end_request: I/O error, dev hdc, sector 0
Feb  4 07:57:30 gecko kernel: Buffer I/O error on device hdc, logical block 0
Feb  4 07:57:30 gecko kernel: hdc: command error: status=0x51 { DriveReady
SeekComplete Error }
Feb  4 07:57:30 gecko kernel: hdc: command error: error=0x51 {
IllegalLengthIndication LastFailedSense=0x05 }
Feb  4 07:57:30 gecko kernel: ide: failed opcode was: unknown
Feb  4 07:57:30 gecko kernel: end_request: I/O error, dev hdc, sector 4
Feb  4 07:57:30 gecko kernel: Buffer I/O error on device hdc, logical block 1
Feb  4 07:57:30 gecko kernel: hdc: command error: status=0x51 { DriveReady
SeekComplete Error }
Feb  4 07:57:30 gecko kernel: hdc: command error: error=0x51 {
IllegalLengthIndication LastFailedSense=0x05 }
Feb  4 07:57:30 gecko kernel: ide: failed opcode was: unknown
Feb  4 07:57:30 gecko kernel: end_request: I/O error, dev hdc, sector 8
...

same error with 2.6.15-1.1830_FC4
Comment 4 Need Real Name 2006-05-19 13:27:20 EDT
I'm getting a similar problem with an NEC-6500A internal DVD burner in two
different Thinkpads.  Various other CD and DVD drives work with no problem. 
This is under stock FC4 which I guess has a 2.6.9 kernel.  I will try a kernel
upgrade and/or FC5.
Comment 5 Stas Oskin 2006-06-25 11:18:34 EDT
Happens on FC4 64 bit, latest kernel currently (2.6.16-1.2115_FC4smp). Here is a
snippet from the logs:

Jun 25 12:55:35 www kernel: device-mapper: 4.5.0-ioctl (2005-10-04) initialised:
 dm-devel@redhat.com
Jun 25 12:55:35 www kernel: hdd: packet command error: status=0x51 { DriveReady
SeekComplete Error }
Jun 25 12:55:35 www kernel: hdd: packet command error: error=0x54 { AbortedComma
nd LastFailedSense=0x05 }
Jun 25 12:55:35 www kernel: ide: failed opcode was: unknown

The used hardware is a TYAN server GX28 (B2881), Teac CD-224E slim model.
Comment 6 Dave Jones 2006-09-16 22:24:39 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 7 Bill McGonigle 2006-09-20 10:52:09 EDT
Update for FC5 - here are some /var/log/messages from inserting a CD-ROM, just
before the machine hangs hard.

Linux 2.6.17-1.2187_FC5smp #1 SMP Mon Sep 11 01:32:34 EDT 2006 i686 i686 i386
GNU/Linux

Sep 20 10:47:13 kernel: hda: cdrom_decode_status: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Sep 20 10:47:13 kernel: hda: cdrom_decode_status: error=0x40 {
LastFailedSense=0x04 }
Sep 20 10:47:13 kernel: ide: failed opcode was: unknown
Sep 20 10:47:15 kernel: hda: cdrom_decode_status: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Sep 20 10:47:15 kernel: hda: cdrom_decode_status: error=0x40 {
LastFailedSense=0x04 }
Sep 20 10:47:15 kernel: ide: failed opcode was: unknown
Sep 20 10:47:17 kernel: hda: cdrom_decode_status: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Sep 20 10:47:17 kernel: hda: cdrom_decode_status: error=0x40 {
LastFailedSense=0x04 }
Sep 20 10:47:17 kernel: ide: failed opcode was: unknown
Comment 8 Dave Jones 2006-10-16 14:34:31 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Bill McGonigle 2006-10-25 12:50:51 EDT
Same symptoms on:

Linux foo.bfc 2.6.18-1.2200.fc5smp #1 SMP Sat Oct 14 17:15:35 EDT 2006 i686 i686
i386 GNU/Linux

Oct 25 12:39:18 foo kernel: hda: cdrom_decode_status: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Oct 25 12:39:18 foo kernel: hda: cdrom_decode_status: error=0x40 {
LastFailedSense=0x04 }
Oct 25 12:39:18 foo kernel: ide: failed opcode was: unknown
Oct 25 12:39:20 foo kernel: hda: cdrom_decode_status: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Oct 25 12:39:20 foo kernel: hda: cdrom_decode_status: error=0x40 {
LastFailedSense=0x04 }
Oct 25 12:39:20 foo kernel: ide: failed opcode was: unknown
Oct 25 12:39:22 foo kernel: hda: cdrom_decode_status: status=0x59 { DriveReady
SeekComplete DataRequest Error }
Oct 25 12:39:22 foo kernel: hda: cdrom_decode_status: error=0x40 {
LastFailedSense=0x04 }
Oct 25 12:39:22 foo kernel: ide: failed opcode was: unknown
Comment 10 Bill McGonigle 2006-10-25 16:23:20 EDT
oops, forgot to check the "I am providing the requested information for this
bug" checkbox.
Comment 11 Bill McGonigle 2006-11-12 19:00:37 EST
Some more information; I put in a Zod DVD to do an upgrade and the BIOS wasn't
set to boot from CD.  So when I came back to the computer I had the usual
lockup, but this time a stacktrace as well!  Included for your debugging pleasure:

BUG: spinlock recursion on CPU#0, swapper/0 (Not tainted)
lock: c06e6980, .magic: dead4end, .owner: swapper/0, .owner_cpu: 0
[<c05060ef>] dump_trace+0x69/0x1af
[<c040524d>] show_trace_log_lvl+0x18/0x2c
[<c0506800>] show_trace+0xf/0x11
[<c05068fa>] dump_stack+0x15/0x17
[<c04e82c9>] _raw_spin_lock+0x35/0xdc
[<c060fcd0>] _spin_lock_irqsave+0x9/0xd
[<c055875e>] atiixp_ide_dma_host_off+0x1b/0x7c
[<c056cd5a>] __ide_dma_off_quitely+0x19/0x23
[<c056c628>] __ide_dma_off+0x21/0x25
[<c05674b9>] do_reset1+0x42/0x191
[<c0566979>] __ide_error+0x197/0x1aa
[<c05669e8>] ide_error+0x5c/0x72
[<f8930c9e>] cdrom_decode_status+0x219/0x2a5 [ide_cd]
[<f8931466>] cdrom_read_intr+0x58/0x30e [ide_cd]
[<c0566708>] ide_intr+0x146/0x1a7
[<c044b95a>] handle_IRQ_event+0x23/0x49
[<c044ba16>] __do_IRQ+0x96/0xf2
[<c04067cf>] do_IRQ+0x9e/0xbc

Hopefully I typed all that correctly...
Comment 12 Bill McGonigle 2006-11-18 03:22:13 EST
For grins I replaced the Pioneer writer with an LG writer and the kernel crash
gives the same stack.

Someone with perms can set this for fc6, and clear NEEDINFO unless there's more
to collect.
Comment 13 Alan Cox 2006-11-18 14:54:25 EST
#10-#12 are a different bug and have been split off accordingly
Comment 14 Bill McGonigle 2007-02-12 12:01:02 EST
Update: on kernel 2.6.18-1.2849.fc6 this problem/symptom still occurs.  I've
since re-jumpered the drive as Cable Select (was Master previously) and am on
Fedora Core 6.  The error messages have changed somewhat, they now look like this:

hdb: command error: status=0x51 { DriveReady SeekComplete Error }
hdb: command error: error=0x50 { LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdb:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was: 
  "28 00 00 00 00 00 00 00 40 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdb, sector 0
printk: 33 messages suppressed.
Buffer I/O error on device hdb, logical block 0
Buffer I/O error on device hdb, logical block 1
Buffer I/O error on device hdb, logical block 2
Buffer I/O error on device hdb, logical block 3
Buffer I/O error on device hdb, logical block 4
Buffer I/O error on device hdb, logical block 5
Buffer I/O error on device hdb, logical block 6
Buffer I/O error on device hdb, logical block 7
Buffer I/O error on device hdb, logical block 8
Buffer I/O error on device hdb, logical block 9

Over at the kernel bugzilla I ran into
  http://bugme.osdl.org/show_bug.cgi?id=7460

which appears to be the same thing.  A note over there says more debugging info
was added to a recent kernel which might explain the extra info in the output
here as compared to previous reports.
Comment 15 Raffaele Spazzoli 2007-03-13 05:11:50 EDT
I have a similar behaviour, in a dual core system the cpu0 seems to freeze in a
soft lock. My kernel is:  2.6.19-1.2911.6.5.fc6 #1 SMP. After a while the system
freeze and the only thing to do is to reset. If I insert the CD after boot the
system behaves normally. Here is my messages log:
Mar 12 17:53:14 localhost kernel: hdc: ATAPI reset timed-out, status=0xd0
Mar 12 17:53:45 localhost kernel: ide1: reset timed-out, status=0x80
Mar 12 17:53:49 localhost kernel: hdc: status timeout: status=0x80 { Busy }
Mar 12 17:53:49 localhost kernel: ide: failed opcode was: unknown
Mar 12 17:53:49 localhost kernel: hdc: drive not ready for command
Mar 12 17:54:19 localhost kernel: hdc: ATAPI reset timed-out, status=0x80
Mar 12 17:54:49 localhost kernel: ide1: reset timed-out, status=0x80
Mar 12 17:54:49 localhost kernel: end_request: I/O error, dev hdc, sector 0
Mar 12 17:54:49 localhost kernel: Buffer I/O error on device hdc, logical block 0
Mar 12 17:54:49 localhost kernel: end_request: I/O error, dev hdc, sector 4
Mar 12 17:54:49 localhost kernel: Buffer I/O error on device hdc, logical block 1
Mar 12 17:54:49 localhost kernel: end_request: I/O error, dev hdc, sector 0
Mar 12 17:54:49 localhost kernel: Buffer I/O error on device hdc, logical block 0
Mar 12 17:54:49 localhost kernel: end_request: I/O error, dev hdc, sector 4
Mar 12 17:54:49 localhost kernel: Buffer I/O error on device hdc, logical block 1
Mar 12 17:54:54 localhost ntpd[2334]: synchronized to LOCAL(0), stratum 10
Mar 12 17:54:54 localhost ntpd[2334]: kernel time sync enabled 0001
Mar 12 17:54:58 localhost kernel: BUG: soft lockup detected on CPU#0!
Mar 12 17:54:58 localhost kernel:  [<c0405018>] dump_trace+0x69/0x1b6
Mar 12 17:54:58 localhost kernel:  [<c040517d>] show_trace_log_lvl+0x18/0x2c
Mar 12 17:54:58 localhost kernel:  [<c0405778>] show_trace+0xf/0x11
Mar 12 17:54:58 localhost kernel:  [<c0405875>] dump_stack+0x15/0x17
Mar 12 17:54:58 localhost kernel:  [<c045232d>] softlockup_tick+0xad/0xc4
Mar 12 17:54:58 localhost kernel:  [<c0430df7>] update_process_times+0x39/0x5c
Mar 12 17:54:58 localhost kernel:  [<c0419f5a>] smp_apic_timer_interrupt+0x95/0xb3
Mar 12 17:54:58 localhost kernel:  [<c0404a57>] apic_timer_interrupt+0x1f/0x24
Mar 12 17:54:58 localhost kernel:  [<c0625a70>] _spin_unlock_irqrestore+0xa/0xc
Mar 12 17:54:58 localhost kernel:  [<c0573321>] ide_end_request+0xbe/0xc6
Mar 12 17:54:58 localhost kernel:  [<c0573342>] ide_kill_rq+0x19/0x29
Mar 12 17:54:58 localhost kernel:  [<c0573bac>] ide_do_request+0x85a/0x8db
Mar 12 17:54:58 localhost kernel:  [<c04e2199>] elv_insert+0x106/0x20b
Mar 12 17:54:58 localhost kernel:  [<c04e4cc3>] blk_execute_rq_nowait+0x85/0x9d
Mar 12 17:54:58 localhost kernel:  [<c04e4da3>] blk_execute_rq+0xc8/0xe5
Mar 12 17:54:58 localhost kernel:  [<c04e8346>] sg_io+0x24e/0x335
Mar 12 17:54:58 localhost kernel:  [<c04e887d>] scsi_cmd_ioctl+0x1ae/0x36d
Mar 12 17:54:58 localhost kernel:  [<f8a30e99>] cdrom_ioctl+0x24/0xb58 [cdrom]
Mar 12 17:54:58 localhost kernel:  [<f8ac0031>] idecd_ioctl+0x148/0x15b [ide_cd]
Mar 12 17:54:58 localhost kernel:  [<c04e69e2>] blkdev_driver_ioctl+0x4e/0x5e
Mar 12 17:54:58 localhost kernel:  [<c04e7020>] blkdev_ioctl+0x62e/0x67a
Mar 12 17:54:58 localhost kernel:  [<c049634c>] block_ioctl+0x18/0x1b
Mar 12 17:54:58 localhost kernel:  [<c048029b>] do_ioctl+0x1f/0x62
Mar 12 17:54:58 localhost kernel:  [<c0480528>] vfs_ioctl+0x24a/0x25c
Mar 12 17:54:58 localhost kernel:  [<c0480586>] sys_ioctl+0x4c/0x66
Mar 12 17:54:58 localhost kernel:  [<c040404b>] syscall_call+0x7/0xb
Mar 12 17:54:58 localhost kernel:  [<0013b402>] 0x13b402
Mar 12 17:54:58 localhost kernel:  =======================
Comment 16 Bill McGonigle 2007-03-26 10:08:41 EDT
For my machine this may have been a BIOS bug.  I wound up with the machine on
2.6.18-1.2849.fc6 with the drive jumpered for Slave on the primary IDE channel
(hdb) on a single-headed cable, and now I'm not getting these errors.  I can rip
a CD without messages.

I saw a reference to this mobo having a buggy DMA implementation in other
configurations and that appears to be true.  Asus isn't offering a fix for it,
so lesson learned there.
Comment 17 Alan Cox 2007-12-03 12:20:08 EST
FC6 and later adopted the new libata layer as the best way to address the
various races in the old IDE stack. Closing this bug therefore as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.